import { Controller, Get } from '@nestjs/common';
import { Paginate, PaginateQuery } from 'nestjs-paginate';
import { OutBidLogsService } from '../../services/out-bid-logs.service';

@Controller('admin/out-bid-logs')
export class AdminOutBidLogsController {
  constructor(private readonly outBidLogsService: OutBidLogsService) {}

  @Get()
  async index(@Paginate() query: PaginateQuery) {
    return await this.outBidLogsService.index(query);
  }
}
